/* read in the dataset and create an interaction */
DATA posmood; 
INFILE 'c:\mixregls\posmood_example.dat';
INPUT id posmood alone genderf; 
algenf = alone*genderf;
RUN;

/* write out the new dataset for mixregls */
DATA posmood2; 
SET posmood; 
FILE 'c:\mixregls\posmood2_example.dat';
PUT  id 1-4 posmood f8.4 (alone genderf algenf) (f2.0); 
RUN;

/* write out the def file for mixregls */
DATA outdef;
FILE 'c:\mixregls\pm2.def';
PUT 'Analysis of Positive Mood - 11 quad pts'
/ 'BS and WS variance model with random scale'
/ 'posmood2_example.dat'
/ 'posmood2.out'
/ 'pm2.def'
/ '5 3 3 3 0 0 0  .00001  11 1  200 0 0 1'
/ '1 2' 
/ '3 4 5'
/ '3 4 5'  
/ '3 4 5'
/ 'posmood'
/ 'alone   genderf algenf'
/ 'alone   genderf algenf' 
/ 'alone   genderf algenf';
RUN;

/* run mixregls from SAS */
X 'cd c:\mixregls & del mixregls.def & copy pm2.def mixregls.def & mixreglsb';
RUN;
